The Alternative Csound Reference Manual
Previous |  | Next

# portk

portk -- Applies portamento to a step-valued control signal.

## Description

Applies portamento to a step-valued control signal.

## Syntax

kr portk ksig, khtim [, isig]

## Initialization

isig (optional, default=0) -- initial (i.e. previous) value for internal feedback. The default value is 0.

## Performance

kr -- the output signal at control-rate.

ksig -- the input signal at control-rate.

khtim -- half-time of the function in seconds.

portk is like port except the half-time can be varied at the control rate.

## See Also

areson, aresonk, atone, atonek, port, reson, resonk, tone, tonek

Previous | Home | Next
port | Up | poscil